Package com.nwalsh.saxon

# Class CVS

java.lang.Object
com.nwalsh.saxon.CVS

public class CVS extends Object

Saxon extension to convert CVS date strings into local time

$Id: CVS.java 5907 2006-04-27 08:26:47Z xmldoc $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon extension to turn the CVS date strings, which are UTC:

    $Date: 2000/11/09 02:34:20 $

into legibly formatted local time:

    Wed Nov 08 18:34:20 PST 2000

(I happened to be in California when I wrote this documentation.)

Change Log:

1.0

  Initial release.

## Constructor Summary

Constructors
Constructor
Description
`CVS()`
Constructor for CVS

## Method Summary

Modifier and Type
Method
Description
`static String`
`localTime(String cvsDate)`
Convert a CVS date string into local time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CVS

public CVS()

Constructor for CVS

All of the methods are static, so the constructor does nothing.

## Method Details

### localTime

public static String localTime(String cvsDate)

Convert a CVS date string into local time.

Parameters:
  `cvsDate` - The CVS date string.
Returns:
  The date, converted to local time and reformatted.